"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNativeSkia = require("@shopify/react-native-skia");
var _useBackgroundGradient = require("./useBackgroundGradient");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const BackgroundGradient = props => {
  const {
    CANVAS_HEIGHT,
    CANVAS_WIDTH,
    canvasPadding,
    width,
    height,
    cardRadius,
    borderColors,
    transform,
    blur
  } = (0, _useBackgroundGradient.useBackgroundGradient)(props);
  return /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Canvas, {
    style: {
      height: CANVAS_HEIGHT,
      width: CANVAS_WIDTH
    },
    children: /*#__PURE__*/_react.default.createElement(_reactNativeSkia.RoundedRect, {
      x: canvasPadding / 2,
      y: canvasPadding / 2,
      width: width,
      height: height,
      r: cardRadius
    }, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.SweepGradient, {
      origin: (0, _reactNativeSkia.vec)(CANVAS_WIDTH / 2, CANVAS_HEIGHT / 2),
      c: (0, _reactNativeSkia.vec)((width + canvasPadding) / 2, (height + canvasPadding) / 2),
      colors: borderColors,
      transform: transform
    }), /*#__PURE__*/_react.default.createElement(_reactNativeSkia.BlurMask, {
      blur: blur,
      style: 'solid'
    }))
  });
};
var _default = /*#__PURE__*/_react.default.memo(BackgroundGradient);
exports.default = _default;
//# sourceMappingURL=backgroundGradient.js.map