"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _reactNativeReanimated = _interopRequireDefault(require("react-native-reanimated"));
var _backgroundGradient = _interopRequireDefault(require("./backgroundGradient"));
var _useCard = require("./useCard");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Card = props => {
  const {
    backgroundColor,
    blur,
    borderColors,
    canvasPadding,
    CARD_HEIGHT,
    CARD_WIDTH,
    cardRadius,
    height,
    width,
    cardStyle,
    zIndex,
    style,
    animateBorder,
    duration,
    styles
  } = (0, _useCard.useCard)({
    props
  });
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.cardStyle.container
  }, /*#__PURE__*/_react.default.createElement(_backgroundGradient.default, {
    blur: blur,
    borderColors: borderColors,
    canvasPadding: canvasPadding,
    cardRadius: cardRadius,
    height: height,
    width: width,
    animateBorder: animateBorder,
    duration: duration
  }), /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: [styles.cardStyle.card, {
      backgroundColor: backgroundColor,
      borderRadius: cardRadius,
      height: CARD_HEIGHT,
      width: CARD_WIDTH,
      zIndex: zIndex
    }, cardStyle, style]
  }, props.children));
};
var _default = /*#__PURE__*/_react.default.memo(Card);
exports.default = _default;
//# sourceMappingURL=card.js.map