"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useBackgroundGradient = void 0;
var _react = require("react");
var _reactNativeSkia = require("@shopify/react-native-skia");
var _card = require("./card.type");
const useBackgroundGradient = props => {
  const {
    blur,
    borderColors,
    canvasPadding,
    cardRadius,
    height,
    width,
    animateBorder,
    duration
  } = props;
  const progressToValue = (0, _react.useMemo)(() => animateBorder === _card.AnimateBorderType.normal || animateBorder === _card.AnimateBorderType.yoyo ? 6.3 : 50, [animateBorder]);
  const progress = (0, _reactNativeSkia.useTiming)({
    from: 0,
    loop: true,
    to: progressToValue,
    yoyo: animateBorder === _card.AnimateBorderType.yoyo ? true : false
  }, {
    duration: duration,
    easing: _reactNativeSkia.Easing.linear
  });
  const transform = (0, _reactNativeSkia.useComputedValue)(() => animateBorder !== _card.AnimateBorderType.none ? [{
    rotate: progress.current
  }] : undefined, [progress, animateBorder]);
  const CANVAS_WIDTH = width + canvasPadding;
  const CANVAS_HEIGHT = height + canvasPadding;
  return {
    animateBorder,
    blur,
    borderColors,
    CANVAS_HEIGHT,
    CANVAS_WIDTH,
    canvasPadding,
    cardRadius,
    duration,
    height,
    progress,
    progressToValue,
    transform,
    width
  };
};
exports.useBackgroundGradient = useBackgroundGradient;
//# sourceMappingURL=useBackgroundGradient.js.map