"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _reactNativeSkia = require("@shopify/react-native-skia");
var _useCircularProgressBar = require("./useCircularProgressBar");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const VEC_START = 12;
const VEC_END = 200;
const CircularProgressBar = props => {
  var _styles$circularProgr, _styles$circularProgr2;
  const {
    backgroundColor,
    colors,
    elevation,
    fillProgress,
    fontSize,
    fromCircle,
    gradientColors,
    path,
    progress,
    radius,
    shadowColor,
    shadowOffset,
    shadowOpacity,
    shadowRadius,
    strokeWidth,
    viewWidth,
    styles
  } = (0, _useCircularProgressBar.useCircularProgress)(props);
  const VIEW_WIDTH_DIV = viewWidth / 2;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Canvas, {
    style: {
      elevation: elevation,
      height: viewWidth,
      shadowColor: shadowColor,
      shadowOffset: shadowOffset,
      shadowOpacity: shadowOpacity,
      shadowRadius: shadowRadius,
      width: viewWidth
    },
    children: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Group, {
      transform: (0, _reactNativeSkia.translate)({
        x: VIEW_WIDTH_DIV - radius,
        y: VIEW_WIDTH_DIV - radius
      })
    }, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Group, null, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.LinearGradient, {
      start: (0, _reactNativeSkia.vec)(VEC_START, VEC_START),
      end: (0, _reactNativeSkia.vec)(VEC_END, VEC_END),
      colors: gradientColors
    }), /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Box, {
      box: fromCircle(radius, radius, radius)
    })), /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Box, {
      box: fromCircle(radius, radius, radius - strokeWidth - 10),
      color: backgroundColor
    }), /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Group, null, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.SweepGradient, {
      c: (0, _reactNativeSkia.vec)(radius * 3 / 2 + radius, radius * 3),
      colors: colors
    }), /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Path, {
      path: path,
      style: 'stroke',
      strokeWidth: strokeWidth,
      end: fillProgress,
      strokeCap: 'round'
    }))))
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles === null || styles === void 0 ? void 0 : (_styles$circularProgr = styles.circularProgressBarStyle) === null || _styles$circularProgr === void 0 ? void 0 : _styles$circularProgr.textContainer.textView, {
      left: VIEW_WIDTH_DIV - fontSize,
      top: VIEW_WIDTH_DIV - fontSize / 2
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles === null || styles === void 0 ? void 0 : (_styles$circularProgr2 = styles.circularProgressBarStyle) === null || _styles$circularProgr2 === void 0 ? void 0 : _styles$circularProgr2.textContainer.textStyle, {
      fontSize: fontSize
    }]
  }, progress, "%")));
};
var _default = /*#__PURE__*/_react.default.memo(CircularProgressBar);
exports.default = _default;
//# sourceMappingURL=circularProgressBar.js.map