"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _reactNativeSkia = require("@shopify/react-native-skia");
var _useFloatingButtonButton = require("./useFloatingButtonButton");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const FloatingButton = props => {
  const {
    animatedHeight,
    animatedWidth,
    animatedX,
    animatedY,
    backgroundColor,
    bottomShadowColor,
    canvasButtonHeight,
    canvasButtonWidth,
    height,
    onPressButton,
    onPressOut,
    sideShadowColor,
    textStyle,
    title,
    titleSize,
    transitionX,
    transitionY,
    width,
    x,
    y,
    styles
  } = (0, _useFloatingButtonButton.useFloatingButton)(props);
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: [styles.floatingButtonStyle.containerStyle.canvasStyle, props.style || {}],
    onPress: props.onPress,
    onLongPress: props.onLongPress,
    onPressIn: () => {
      onPressButton();
    },
    onPressOut: () => {
      onPressOut();
    },
    activeOpacity: 1
  }, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Canvas, {
    style: {
      height: canvasButtonHeight,
      width: canvasButtonWidth
    },
    children: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Group, {
      origin: {
        x: width,
        y: 0
      },
      transform: [{
        skewY: Math.PI / (1.4 * 3)
      }]
    }, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Box, {
      box: (0, _reactNativeSkia.rrect)((0, _reactNativeSkia.rect)(width + animatedY, 8, -y, height + animatedHeight), 0, 0),
      color: sideShadowColor
    })), /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Group, {
      origin: {
        x: 0,
        y: height
      },
      transform: [{
        skewX: Math.PI / 1.4
      }]
    }, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Box, {
      box: (0, _reactNativeSkia.rrect)((0, _reactNativeSkia.rect)(x + animatedX, height, width + animatedWidth, -x), 0, 0),
      color: bottomShadowColor
    })), /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Box, {
      box: (0, _reactNativeSkia.rrect)((0, _reactNativeSkia.rect)(transitionX, transitionY + 8, width, height), 0, 0),
      color: backgroundColor
    }))
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.floatingButtonStyle.textContainer.textView, {
      height: height,
      left: transitionX,
      top: transitionY + 8,
      width: width
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.floatingButtonStyle.textContainer.textStyle, {
      fontSize: titleSize
    }, textStyle && {
      ...textStyle
    }]
  }, title)));
};
var _default = /*#__PURE__*/_react.default.memo(FloatingButton);
exports.default = _default;
//# sourceMappingURL=floatingButton.js.map