"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useFloatingButton = void 0;
var _react = require("react");
var _context = require("../../context");
var _floatingButton = require("./floatingButton.constant");
const useFloatingButton = props => {
  const {
    styles
  } = (0, _context.useMiUiContext)();
  const {
    backgroundColor = _floatingButton.FloatingButtonConstant.default.backgroundColor,
    bottomShadowColor = _floatingButton.FloatingButtonConstant.default.height,
    height = _floatingButton.FloatingButtonConstant.default.height,
    sideShadowColor = _floatingButton.FloatingButtonConstant.default.sideShadowColor,
    textStyle,
    title = _floatingButton.FloatingButtonConstant.default.title,
    titleSize = _floatingButton.FloatingButtonConstant.default.titleSize,
    width = _floatingButton.FloatingButtonConstant.default.width
  } = props;
  const buttonWidth = width;
  const buttonHeight = height;
  const canvasButtonWidth = buttonWidth + _floatingButton.FloatingButtonConstant.default.buttonRightSideWidth;
  const canvasButtonHeight = buttonHeight + _floatingButton.FloatingButtonConstant.default.buttonRightSideWidth;
  const TEXT_POSITION = buttonWidth / 2 - titleSize;
  const [x] = (0, _react.useState)(-20);
  const [y] = (0, _react.useState)(-20);
  const [animatedWidth, setAnimatedWidth] = (0, _react.useState)(0);
  const [animatedX, setAnimatedX] = (0, _react.useState)(0);
  const [animatedHeight, setAnimatedHeight] = (0, _react.useState)(0);
  const [animatedY, setAnimatedY] = (0, _react.useState)(0);
  const [textPosition, setTextPosition] = (0, _react.useState)({
    x: TEXT_POSITION,
    y: TEXT_POSITION / 2
  });
  const [boxShadow, setBoxShadow] = (0, _react.useState)(0);
  const defaultFakeBoxTransition = () => {
    return {
      transitionX: 0,
      transitionY: 0
    };
  };
  const [{
    transitionX,
    transitionY
  }, updateBoxShadow] = (0, _react.useState)(defaultFakeBoxTransition());
  const onPressButton = () => {
    updateBoxShadow(startFakeBoxTransition);
    setAnimatedWidth(50);
    setAnimatedX(40);
    setAnimatedHeight(50);
    setAnimatedY(40);
    setTextPosition({
      x: textPosition.x - x,
      y: textPosition.y - x
    });
    setBoxShadow(10);
  };
  const onPressOut = () => {
    updateBoxShadow(defaultFakeBoxTransition);
    setAnimatedWidth(0);
    setAnimatedX(0);
    setAnimatedY(0);
    setAnimatedHeight(0);
    setTextPosition({
      x: textPosition.x + x,
      y: textPosition.y + x
    });
    setBoxShadow(0);
  };
  const startFakeBoxTransition = () => {
    return {
      transitionX: -x,
      transitionY: -y
    };
  };
  return {
    animatedHeight,
    animatedWidth,
    animatedX,
    animatedY,
    backgroundColor,
    bottomShadowColor,
    boxShadow,
    buttonHeight,
    buttonWidth,
    canvasButtonHeight,
    canvasButtonWidth,
    height,
    onPressButton,
    onPressOut,
    props,
    sideShadowColor,
    styles,
    textStyle,
    title,
    titleSize,
    transitionX,
    transitionY,
    width,
    x,
    y
  };
};
exports.useFloatingButton = useFloatingButton;
//# sourceMappingURL=useFloatingButtonButton.js.map