"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _reactNativeSkia = require("@shopify/react-native-skia");
var _reactNativeReanimated = _interopRequireDefault(require("react-native-reanimated"));
var _themes = require("../../themes");
var _useNeoPopButton = require("./useNeoPopButton");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const NeoPopButton = props => {
  const {
    backgroundColor,
    bottomShadowColor,
    depthPath,
    height,
    isFloating,
    nonFloatingDepthPath,
    onPressEnd,
    onPressStart,
    path,
    shadowPath,
    sideShadowColor,
    textStyle,
    title,
    width,
    styles,
    transform,
    textTransformStyle,
    titleSize,
    disabled
  } = (0, _useNeoPopButton.useNeoPopButton)(props);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.starWarButtonStyle.container
  }, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Canvas, {
    style: [{
      height: height,
      width: width
    }, styles.neoPopButtonStyle.containerStyle.canvasStyle, props.style || {}],
    children: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, isFloating ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Group, {
      transform: transform
    }, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Path, {
      path: path,
      color: backgroundColor
    }), /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Path, {
      path: depthPath,
      color: sideShadowColor
    })), /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Path, {
      path: shadowPath,
      color: bottomShadowColor,
      transform: transform
    })) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Group, {
      transform: transform
    }, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Path, {
      path: path,
      color: backgroundColor
    })), /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Group, null, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Path, {
      path: nonFloatingDepthPath,
      color: sideShadowColor
    }))))
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: props === null || props === void 0 ? void 0 : props.onPress,
    onLongPress: props === null || props === void 0 ? void 0 : props.onLongPress,
    onPressIn: () => {
      onPressStart();
    },
    onPressOut: () => {
      onPressEnd();
    },
    activeOpacity: 1,
    style: [styles.neoPopButtonStyle.btnLabel.labelView, {
      height: height,
      width: width
    }],
    disabled: disabled
  }, /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.Text, {
    adjustsFontSizeToFit: true,
    style: [styles.neoPopButtonStyle.btnLabel.labelText, {
      fontSize: titleSize
    }, textStyle && {
      ...textStyle
    }, {
      transform: [{
        rotateX: '45deg'
      }, {
        rotateZ: '0deg'
      }]
    }, disabled && {
      color: _themes.miColor.grayShade
    }, textTransformStyle]
  }, title)));
};
var _default = /*#__PURE__*/_react.default.memo(NeoPopButton);
exports.default = _default;
//# sourceMappingURL=neoPopButton.js.map