"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StarWarButtonComponent = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _reactNativeSkia = require("@shopify/react-native-skia");
var _reactNativeReanimated = _interopRequireDefault(require("react-native-reanimated"));
var _starWarButton = require("./starWarButton.type");
var _useStarWarButton = require("./useStarWarButton");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const AnimatedPressable = _reactNativeReanimated.default.createAnimatedComponent(_reactNative.Pressable);
const StarWarButtonComponent = /*#__PURE__*/_react.default.memo(props => {
  var _gradient$center, _gradient$center2, _gradient$center3, _gradient$center4, _gradient$start, _gradient$start2, _gradient$end, _gradient$end2;
  const {
    blurRadius,
    buttonBorderRadius,
    canvasButtonHeight,
    canvasButtonWidth,
    canvasPadding,
    colors,
    filled,
    gradientType,
    styles,
    textStyle,
    title,
    titleColor,
    titleSize,
    style,
    scaledButton,
    transformAnimation,
    gradient,
    backgroundColor,
    opacityButton,
    onPressEnd,
    onPressStart,
    CANVAS_HEIGHT,
    CANVAS_WIDTH
  } = (0, _useStarWarButton.useStarWarButton)(props);
  return /*#__PURE__*/_react.default.createElement(AnimatedPressable, {
    style: [styles.starWarButtonStyle.container || {}, scaledButton],
    onPress: props.onPress,
    onLongPress: props.onLongPress,
    onPressIn: onPressStart,
    onPressOut: onPressEnd
  }, /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Canvas, {
    style: [{
      height: CANVAS_HEIGHT,
      width: CANVAS_WIDTH
    }],
    children: /*#__PURE__*/_react.default.createElement(_reactNativeSkia.RoundedRect, {
      x: canvasPadding / 2,
      y: canvasPadding / 2,
      height: canvasButtonHeight,
      width: canvasButtonWidth,
      r: buttonBorderRadius
    }, gradientType === _starWarButton.GradientType.sweep && /*#__PURE__*/_react.default.createElement(_reactNativeSkia.SweepGradient, {
      origin: (0, _reactNativeSkia.vec)(CANVAS_WIDTH / 2, CANVAS_HEIGHT / 2),
      c: (0, _reactNativeSkia.vec)(gradient === null || gradient === void 0 ? void 0 : (_gradient$center = gradient.center) === null || _gradient$center === void 0 ? void 0 : _gradient$center.x, gradient === null || gradient === void 0 ? void 0 : (_gradient$center2 = gradient.center) === null || _gradient$center2 === void 0 ? void 0 : _gradient$center2.y),
      colors: colors,
      transform: transformAnimation
    }), gradientType === _starWarButton.GradientType.radial && /*#__PURE__*/_react.default.createElement(_reactNativeSkia.RadialGradient, {
      origin: (0, _reactNativeSkia.vec)(CANVAS_WIDTH / 2, CANVAS_HEIGHT / 2),
      c: (0, _reactNativeSkia.vec)(gradient === null || gradient === void 0 ? void 0 : (_gradient$center3 = gradient.center) === null || _gradient$center3 === void 0 ? void 0 : _gradient$center3.x, gradient === null || gradient === void 0 ? void 0 : (_gradient$center4 = gradient.center) === null || _gradient$center4 === void 0 ? void 0 : _gradient$center4.y),
      r: gradient === null || gradient === void 0 ? void 0 : gradient.radius,
      colors: colors,
      transform: transformAnimation
    }), gradientType === _starWarButton.GradientType.linear && /*#__PURE__*/_react.default.createElement(_reactNativeSkia.LinearGradient, {
      origin: (0, _reactNativeSkia.vec)(CANVAS_WIDTH / 2, CANVAS_HEIGHT / 2),
      start: (0, _reactNativeSkia.vec)(gradient === null || gradient === void 0 ? void 0 : (_gradient$start = gradient.start) === null || _gradient$start === void 0 ? void 0 : _gradient$start.x, gradient === null || gradient === void 0 ? void 0 : (_gradient$start2 = gradient.start) === null || _gradient$start2 === void 0 ? void 0 : _gradient$start2.y),
      end: (0, _reactNativeSkia.vec)(gradient === null || gradient === void 0 ? void 0 : (_gradient$end = gradient.end) === null || _gradient$end === void 0 ? void 0 : _gradient$end.x, gradient === null || gradient === void 0 ? void 0 : (_gradient$end2 = gradient.end) === null || _gradient$end2 === void 0 ? void 0 : _gradient$end2.y),
      colors: colors,
      transform: transformAnimation
    }), /*#__PURE__*/_react.default.createElement(_reactNativeSkia.BlurMask, {
      blur: blurRadius,
      style: filled
    }))
  }), /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: [styles.cardStyle.card, styles.starWarButtonStyle.buttonTextView, {
      backgroundColor: backgroundColor,
      borderRadius: buttonBorderRadius,
      height: canvasButtonHeight,
      width: canvasButtonWidth
    }, opacityButton, style]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [{
      color: titleColor,
      fontSize: titleSize
    }, textStyle && {
      ...textStyle
    }]
  }, title)));
});
exports.StarWarButtonComponent = StarWarButtonComponent;
//# sourceMappingURL=starWarButton.js.map