"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  MiUiContext: true,
  MiUiProvider: true
};
exports.MiUiProvider = exports.MiUiContext = void 0;
var _react = _interopRequireWildcard(require("react"));
var _themes = require("../themes");
var _useMiUiContext = require("./useMiUiContext");
Object.keys(_useMiUiContext).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _useMiUiContext[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _useMiUiContext[key];
    }
  });
});
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const MiUiContext = /*#__PURE__*/(0, _react.createContext)(undefined);
exports.MiUiContext = MiUiContext;
const MiUiProvider = _ref => {
  let {
    children
  } = _ref;
  const miUiContext = (0, _react.useMemo)(() => {
    return {
      colors: _themes.miColor,
      styles: (0, _themes.miUiStyle)()
    };
  }, []);
  return /*#__PURE__*/_react.default.createElement(MiUiContext.Provider, {
    value: miUiContext
  }, children);
};
exports.MiUiProvider = MiUiProvider;
//# sourceMappingURL=index.js.map