import React from 'react';
import { BlurMask, Canvas, RoundedRect, SweepGradient, vec } from '@shopify/react-native-skia';
import { useBackgroundGradient } from './useBackgroundGradient';
const BackgroundGradient = props => {
  const {
    CANVAS_HEIGHT,
    CANVAS_WIDTH,
    canvasPadding,
    width,
    height,
    cardRadius,
    borderColors,
    transform,
    blur
  } = useBackgroundGradient(props);
  return /*#__PURE__*/React.createElement(Canvas, {
    style: {
      height: CANVAS_HEIGHT,
      width: CANVAS_WIDTH
    },
    children: /*#__PURE__*/React.createElement(RoundedRect, {
      x: canvasPadding / 2,
      y: canvasPadding / 2,
      width: width,
      height: height,
      r: cardRadius
    }, /*#__PURE__*/React.createElement(SweepGradient, {
      origin: vec(CANVAS_WIDTH / 2, CANVAS_HEIGHT / 2),
      c: vec((width + canvasPadding) / 2, (height + canvasPadding) / 2),
      colors: borderColors,
      transform: transform
    }), /*#__PURE__*/React.createElement(BlurMask, {
      blur: blur,
      style: 'solid'
    }))
  });
};
export default /*#__PURE__*/React.memo(BackgroundGradient);
//# sourceMappingURL=backgroundGradient.js.map