import React from 'react';
import { View } from 'react-native';
import Animated from 'react-native-reanimated';
import BackgroundGradient from './backgroundGradient';
import { useCard } from './useCard';
const Card = props => {
  const {
    backgroundColor,
    blur,
    borderColors,
    canvasPadding,
    CARD_HEIGHT,
    CARD_WIDTH,
    cardRadius,
    height,
    width,
    cardStyle,
    zIndex,
    style,
    animateBorder,
    duration,
    styles
  } = useCard({
    props
  });
  return /*#__PURE__*/React.createElement(View, {
    style: styles.cardStyle.container
  }, /*#__PURE__*/React.createElement(BackgroundGradient, {
    blur: blur,
    borderColors: borderColors,
    canvasPadding: canvasPadding,
    cardRadius: cardRadius,
    height: height,
    width: width,
    animateBorder: animateBorder,
    duration: duration
  }), /*#__PURE__*/React.createElement(Animated.View, {
    style: [styles.cardStyle.card, {
      backgroundColor: backgroundColor,
      borderRadius: cardRadius,
      height: CARD_HEIGHT,
      width: CARD_WIDTH,
      zIndex: zIndex
    }, cardStyle, style]
  }, props.children));
};
export default /*#__PURE__*/React.memo(Card);
//# sourceMappingURL=card.js.map