import React from 'react';
import { Text, View } from 'react-native';
import { Box, Canvas, Group, LinearGradient, Path, SweepGradient, translate, vec } from '@shopify/react-native-skia';
import { useCircularProgress } from './useCircularProgressBar';
const VEC_START = 12;
const VEC_END = 200;
const CircularProgressBar = props => {
  var _styles$circularProgr, _styles$circularProgr2;
  const {
    backgroundColor,
    colors,
    elevation,
    fillProgress,
    fontSize,
    fromCircle,
    gradientColors,
    path,
    progress,
    radius,
    shadowColor,
    shadowOffset,
    shadowOpacity,
    shadowRadius,
    strokeWidth,
    viewWidth,
    styles
  } = useCircularProgress(props);
  const VIEW_WIDTH_DIV = viewWidth / 2;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Canvas, {
    style: {
      elevation: elevation,
      height: viewWidth,
      shadowColor: shadowColor,
      shadowOffset: shadowOffset,
      shadowOpacity: shadowOpacity,
      shadowRadius: shadowRadius,
      width: viewWidth
    },
    children: /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Group, {
      transform: translate({
        x: VIEW_WIDTH_DIV - radius,
        y: VIEW_WIDTH_DIV - radius
      })
    }, /*#__PURE__*/React.createElement(Group, null, /*#__PURE__*/React.createElement(LinearGradient, {
      start: vec(VEC_START, VEC_START),
      end: vec(VEC_END, VEC_END),
      colors: gradientColors
    }), /*#__PURE__*/React.createElement(Box, {
      box: fromCircle(radius, radius, radius)
    })), /*#__PURE__*/React.createElement(Box, {
      box: fromCircle(radius, radius, radius - strokeWidth - 10),
      color: backgroundColor
    }), /*#__PURE__*/React.createElement(Group, null, /*#__PURE__*/React.createElement(SweepGradient, {
      c: vec(radius * 3 / 2 + radius, radius * 3),
      colors: colors
    }), /*#__PURE__*/React.createElement(Path, {
      path: path,
      style: 'stroke',
      strokeWidth: strokeWidth,
      end: fillProgress,
      strokeCap: 'round'
    }))))
  }), /*#__PURE__*/React.createElement(View, {
    style: [styles === null || styles === void 0 ? void 0 : (_styles$circularProgr = styles.circularProgressBarStyle) === null || _styles$circularProgr === void 0 ? void 0 : _styles$circularProgr.textContainer.textView, {
      left: VIEW_WIDTH_DIV - fontSize,
      top: VIEW_WIDTH_DIV - fontSize / 2
    }]
  }, /*#__PURE__*/React.createElement(Text, {
    style: [styles === null || styles === void 0 ? void 0 : (_styles$circularProgr2 = styles.circularProgressBarStyle) === null || _styles$circularProgr2 === void 0 ? void 0 : _styles$circularProgr2.textContainer.textStyle, {
      fontSize: fontSize
    }]
  }, progress, "%")));
};
export default /*#__PURE__*/React.memo(CircularProgressBar);
//# sourceMappingURL=circularProgressBar.js.map