import React from 'react';
import { TouchableOpacity, View } from 'react-native';
import { Canvas, Group, Path } from '@shopify/react-native-skia';
import Animated from 'react-native-reanimated';
import { miColor } from '../../themes';
import { useNeoPopButton } from './useNeoPopButton';
const NeoPopButton = props => {
  const {
    backgroundColor,
    bottomShadowColor,
    depthPath,
    height,
    isFloating,
    nonFloatingDepthPath,
    onPressEnd,
    onPressStart,
    path,
    shadowPath,
    sideShadowColor,
    textStyle,
    title,
    width,
    styles,
    transform,
    textTransformStyle,
    titleSize,
    disabled
  } = useNeoPopButton(props);
  return /*#__PURE__*/React.createElement(View, {
    style: styles.starWarButtonStyle.container
  }, /*#__PURE__*/React.createElement(Canvas, {
    style: [{
      height: height,
      width: width
    }, styles.neoPopButtonStyle.containerStyle.canvasStyle, props.style || {}],
    children: /*#__PURE__*/React.createElement(React.Fragment, null, isFloating ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Group, {
      transform: transform
    }, /*#__PURE__*/React.createElement(Path, {
      path: path,
      color: backgroundColor
    }), /*#__PURE__*/React.createElement(Path, {
      path: depthPath,
      color: sideShadowColor
    })), /*#__PURE__*/React.createElement(Path, {
      path: shadowPath,
      color: bottomShadowColor,
      transform: transform
    })) : /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Group, {
      transform: transform
    }, /*#__PURE__*/React.createElement(Path, {
      path: path,
      color: backgroundColor
    })), /*#__PURE__*/React.createElement(Group, null, /*#__PURE__*/React.createElement(Path, {
      path: nonFloatingDepthPath,
      color: sideShadowColor
    }))))
  }), /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: props === null || props === void 0 ? void 0 : props.onPress,
    onLongPress: props === null || props === void 0 ? void 0 : props.onLongPress,
    onPressIn: () => {
      onPressStart();
    },
    onPressOut: () => {
      onPressEnd();
    },
    activeOpacity: 1,
    style: [styles.neoPopButtonStyle.btnLabel.labelView, {
      height: height,
      width: width
    }],
    disabled: disabled
  }, /*#__PURE__*/React.createElement(Animated.Text, {
    adjustsFontSizeToFit: true,
    style: [styles.neoPopButtonStyle.btnLabel.labelText, {
      fontSize: titleSize
    }, textStyle && {
      ...textStyle
    }, {
      transform: [{
        rotateX: '45deg'
      }, {
        rotateZ: '0deg'
      }]
    }, disabled && {
      color: miColor.grayShade
    }, textTransformStyle]
  }, title)));
};
export default /*#__PURE__*/React.memo(NeoPopButton);
//# sourceMappingURL=neoPopButton.js.map