import type { FloatingButtonProps } from '../floatingButton/floatingButton.type';
import { NeoPopButtonProps } from '../neoPopButton';
import type { StarWarButtonProps } from '../starWarButton/starWarButton.type';
declare const buttonPresets: {
    floating: (props: FloatingButtonProps) => JSX.Element;
    neoPop: (props: NeoPopButtonProps) => JSX.Element;
    starWar: (props: ({
        [key: string]: any;
        colors?: string | string[] | undefined;
        filled?: "solid" | "normal" | "outer" | "inner" | undefined;
        blurRadius?: number | undefined;
        buttonBorderRadius?: number | undefined;
        titleColor?: string | undefined;
        animation?: boolean | undefined;
        animationDuration?: number | undefined;
        buttonEffectDuration?: number | undefined;
    } & import("./button.type").ButtonProps & {
        gradientType?: "linear" | undefined;
        start?: import("@shopify/react-native-skia").SkPoint | undefined;
        end?: import("@shopify/react-native-skia").SkPoint | undefined;
    }) | ({
        [key: string]: any;
        colors?: string | string[] | undefined;
        filled?: "solid" | "normal" | "outer" | "inner" | undefined;
        blurRadius?: number | undefined;
        buttonBorderRadius?: number | undefined;
        titleColor?: string | undefined;
        animation?: boolean | undefined;
        animationDuration?: number | undefined;
        buttonEffectDuration?: number | undefined;
    } & import("./button.type").ButtonProps & {
        gradientType?: "radial" | undefined;
        radius?: any;
        center?: import("@shopify/react-native-skia").SkPoint | undefined;
    }) | ({
        [key: string]: any;
        colors?: string | string[] | undefined;
        filled?: "solid" | "normal" | "outer" | "inner" | undefined;
        blurRadius?: number | undefined;
        buttonBorderRadius?: number | undefined;
        titleColor?: string | undefined;
        animation?: boolean | undefined;
        animationDuration?: number | undefined;
        buttonEffectDuration?: number | undefined;
    } & import("./button.type").ButtonProps & {
        gradientType?: "sweep" | undefined;
        center?: import("@shopify/react-native-skia").SkPoint | undefined;
    })) => JSX.Element;
};
export type ButtonPresets = keyof typeof buttonPresets;
export type ButtonProps<TPresetType = 'neoPop' | 'starWar' | 'floating'> = TPresetType extends 'neoPop' ? NeoPopButtonProps & {
    preset?: TPresetType;
} : TPresetType extends 'starWar' ? StarWarButtonProps & {
    preset?: TPresetType;
} : FloatingButtonProps & {
    preset?: TPresetType;
};
declare const Button: (props: ButtonProps) => JSX.Element;
export default Button;
//# sourceMappingURL=button.d.ts.map