import { AnimationType, CardProps } from './card.type';
export declare const useCard: ({ props }: {
    props: CardProps;
}) => {
    animateBorder: "none" | "normal" | "yoyo" | import("./card.type").AnimateBorderType | "disco";
    animation: "none" | "rotate" | AnimationType | "bounce";
    backgroundColor: string;
    blur: number;
    borderColors: string[];
    borderWidth: number;
    canvasPadding: number;
    CARD_HEIGHT: number;
    CARD_WIDTH: number;
    cardRadius: number;
    cardStyle: {
        transform: ({
            perspective: number;
            rotateX?: undefined;
            rotateY?: undefined;
            scale?: undefined;
        } | {
            rotateX: string;
            perspective?: undefined;
            rotateY?: undefined;
            scale?: undefined;
        } | {
            rotateY: string;
            perspective?: undefined;
            rotateX?: undefined;
            scale?: undefined;
        } | {
            scale: number;
            perspective?: undefined;
            rotateX?: undefined;
            rotateY?: undefined;
        })[];
    };
    duration: number;
    height: number;
    props: CardProps;
    style: import("react-native").StyleProp<import("react-native").ViewStyle>;
    styles: {
        cardStyle: {
            card: {
                overflow: "hidden";
                position: "absolute";
            };
            container: {
                alignItems: "center";
                justifyContent: "center";
            };
        };
        circularProgressBarStyle: {
            circle: {
                container: {
                    height: number;
                    width: number;
                };
            };
            itemsExample: {
                container: {
                    height: number;
                    width: number;
                };
            };
            textContainer: {
                textStyle: {
                    color: string;
                    fontWeight: "bold";
                };
                textView: {
                    position: "absolute";
                };
            };
        };
        floatingButtonStyle: {
            containerStyle: {
                canvasStyle: {
                    marginVertical: number;
                };
            };
            textContainer: {
                textStyle: {
                    color: string;
                    fontWeight: "bold";
                };
                textView: {
                    alignItems: "center";
                    justifyContent: "center";
                    position: "absolute";
                };
            };
        };
        neoPopButtonStyle: {
            btnLabel: {
                labelText: {
                    color: string;
                    fontSize: number;
                    fontWeight: "bold";
                };
                labelView: {
                    alignItems: "center";
                    elevation: number;
                    justifyContent: "center";
                    overflow: "hidden";
                    position: "absolute";
                };
                loader: {
                    backgroundColor: string;
                    height: number;
                    marginHorizontal: number;
                    width: number;
                };
                loaderView: {
                    flexDirection: "row";
                };
                verticalStyle: {
                    marginTop: string;
                };
            };
            containerStyle: {
                canvasStyle: {
                    marginVertical: number;
                };
            };
        };
        ScreenHeight: number;
        ScreenWidth: number;
        starWarButtonStyle: {
            buttonTextView: {
                alignItems: "center";
                justifyContent: "center";
                position: "absolute";
                zIndex: number;
            };
            container: {
                alignItems: "center";
                justifyContent: "center";
            };
        };
    };
    width: number;
    zIndex: number;
};
//# sourceMappingURL=useCard.d.ts.map