import type { CircularProgressBarProps } from './circularProgressBar.type';
export declare const useCircularProgress: (props: CircularProgressBarProps) => {
    backgroundColor: string;
    colors: string[];
    elevation: number;
    fillProgress: import("@shopify/react-native-skia").SkiaValue<number>;
    fontSize: number;
    fromCircle: (cx: number, cy: number, r: number) => import("@shopify/react-native-skia").SkRRect;
    gradientColors: string[];
    padding: number;
    path: import("@shopify/react-native-skia").SkPath;
    progress: number;
    props: CircularProgressBarProps;
    radius: number;
    shadowColor: string;
    shadowOffset: {
        width: number;
        height: number;
    };
    shadowOpacity: number;
    shadowRadius: number;
    size: number;
    strokeWidth: number;
    styles: {
        cardStyle: {
            card: {
                overflow: "hidden";
                position: "absolute";
            };
            container: {
                alignItems: "center";
                justifyContent: "center";
            };
        };
        circularProgressBarStyle: {
            circle: {
                container: {
                    height: number;
                    width: number;
                };
            };
            itemsExample: {
                container: {
                    height: number;
                    width: number;
                };
            };
            textContainer: {
                textStyle: {
                    color: string;
                    fontWeight: "bold";
                };
                textView: {
                    position: "absolute";
                };
            };
        };
        floatingButtonStyle: {
            containerStyle: {
                canvasStyle: {
                    marginVertical: number;
                };
            };
            textContainer: {
                textStyle: {
                    color: string;
                    fontWeight: "bold";
                };
                textView: {
                    alignItems: "center";
                    justifyContent: "center";
                    position: "absolute";
                };
            };
        };
        neoPopButtonStyle: {
            btnLabel: {
                labelText: {
                    color: string;
                    fontSize: number;
                    fontWeight: "bold";
                };
                labelView: {
                    alignItems: "center";
                    elevation: number;
                    justifyContent: "center";
                    overflow: "hidden";
                    position: "absolute";
                };
                loader: {
                    backgroundColor: string;
                    height: number;
                    marginHorizontal: number;
                    width: number;
                };
                loaderView: {
                    flexDirection: "row";
                };
                verticalStyle: {
                    marginTop: string;
                };
            };
            containerStyle: {
                canvasStyle: {
                    marginVertical: number;
                };
            };
        };
        ScreenHeight: number;
        ScreenWidth: number;
        starWarButtonStyle: {
            buttonTextView: {
                alignItems: "center";
                justifyContent: "center";
                position: "absolute";
                zIndex: number;
            };
            container: {
                alignItems: "center";
                justifyContent: "center";
            };
        };
    };
    viewWidth: number;
};
//# sourceMappingURL=useCircularProgressBar.d.ts.map