import type { FloatingButtonProps } from './floatingButton.type';
export declare const useFloatingButton: (props: FloatingButtonProps) => {
    animatedHeight: number;
    animatedWidth: number;
    animatedX: number;
    animatedY: number;
    backgroundColor: string;
    bottomShadowColor: string | number;
    boxShadow: number;
    buttonHeight: number;
    buttonWidth: number;
    canvasButtonHeight: number;
    canvasButtonWidth: number;
    height: number;
    onPressButton: () => void;
    onPressOut: () => void;
    props: FloatingButtonProps;
    sideShadowColor: string;
    styles: {
        cardStyle: {
            card: {
                overflow: "hidden";
                position: "absolute";
            };
            container: {
                alignItems: "center";
                justifyContent: "center";
            };
        };
        circularProgressBarStyle: {
            circle: {
                container: {
                    height: number;
                    width: number;
                };
            };
            itemsExample: {
                container: {
                    height: number;
                    width: number;
                };
            };
            textContainer: {
                textStyle: {
                    color: string;
                    fontWeight: "bold";
                };
                textView: {
                    position: "absolute";
                };
            };
        };
        floatingButtonStyle: {
            containerStyle: {
                canvasStyle: {
                    marginVertical: number;
                };
            };
            textContainer: {
                textStyle: {
                    color: string;
                    fontWeight: "bold";
                };
                textView: {
                    alignItems: "center";
                    justifyContent: "center";
                    position: "absolute";
                };
            };
        };
        neoPopButtonStyle: {
            btnLabel: {
                labelText: {
                    color: string;
                    fontSize: number;
                    fontWeight: "bold";
                };
                labelView: {
                    alignItems: "center";
                    elevation: number;
                    justifyContent: "center";
                    overflow: "hidden";
                    position: "absolute";
                };
                loader: {
                    backgroundColor: string;
                    height: number;
                    marginHorizontal: number;
                    width: number;
                };
                loaderView: {
                    flexDirection: "row";
                };
                verticalStyle: {
                    marginTop: string;
                };
            };
            containerStyle: {
                canvasStyle: {
                    marginVertical: number;
                };
            };
        };
        ScreenHeight: number;
        ScreenWidth: number;
        starWarButtonStyle: {
            buttonTextView: {
                alignItems: "center";
                justifyContent: "center";
                position: "absolute";
                zIndex: number;
            };
            container: {
                alignItems: "center";
                justifyContent: "center";
            };
        };
    };
    textStyle: import("react-native").TextStyle | undefined;
    title: string;
    titleSize: number;
    transitionX: number;
    transitionY: number;
    width: number;
    x: number;
    y: number;
};
//# sourceMappingURL=useFloatingButtonButton.d.ts.map