/// <reference types="react-native-reanimated" />
import { GradientType, StarWarButtonProps } from './starWarButton.type';
export declare const useStarWarButton: (props: StarWarButtonProps) => {
    animation: boolean;
    backgroundColor: string;
    blurRadius: number;
    buttonBorderRadius: number;
    CANVAS_HEIGHT: number;
    CANVAS_WIDTH: number;
    canvasButtonHeight: number;
    canvasButtonWidth: number;
    canvasPadding: number;
    colors: string[];
    filled: "solid" | "normal" | import("./starWarButton.type").FilledType | "outer" | "inner";
    gradient: {
        center: import("@shopify/react-native-skia").SkPoint;
        radius?: undefined;
        end?: undefined;
        start?: undefined;
    } | {
        center: import("@shopify/react-native-skia").SkPoint;
        radius: any;
        end?: undefined;
        start?: undefined;
    } | {
        end: import("@shopify/react-native-skia").SkPoint;
        start: import("@shopify/react-native-skia").SkPoint;
        center?: undefined;
        radius?: undefined;
    } | undefined;
    gradientType: "linear" | GradientType | "radial" | "sweep";
    height: number;
    onPressEnd: () => void;
    onPressStart: () => void;
    opacity: import("react-native-reanimated").SharedValue<number>;
    opacityButton: {
        opacity: number;
    };
    progress: import("@shopify/react-native-skia").SkiaValue<number>;
    props: ({
        [key: string]: any;
        colors?: string | string[] | undefined;
        filled?: "solid" | "normal" | "outer" | "inner" | undefined;
        blurRadius?: number | undefined;
        buttonBorderRadius?: number | undefined;
        titleColor?: string | undefined;
        animation?: boolean | undefined;
        animationDuration?: number | undefined;
        buttonEffectDuration?: number | undefined;
    } & import("../button/button.type").ButtonProps & {
        gradientType?: "linear" | undefined;
        start?: import("@shopify/react-native-skia").SkPoint | undefined;
        end?: import("@shopify/react-native-skia").SkPoint | undefined;
    }) | ({
        [key: string]: any;
        colors?: string | string[] | undefined;
        filled?: "solid" | "normal" | "outer" | "inner" | undefined;
        blurRadius?: number | undefined;
        buttonBorderRadius?: number | undefined;
        titleColor?: string | undefined;
        animation?: boolean | undefined;
        animationDuration?: number | undefined;
        buttonEffectDuration?: number | undefined;
    } & import("../button/button.type").ButtonProps & {
        gradientType?: "radial" | undefined;
        radius?: any;
        center?: import("@shopify/react-native-skia").SkPoint | undefined;
    }) | ({
        [key: string]: any;
        colors?: string | string[] | undefined;
        filled?: "solid" | "normal" | "outer" | "inner" | undefined;
        blurRadius?: number | undefined;
        buttonBorderRadius?: number | undefined;
        titleColor?: string | undefined;
        animation?: boolean | undefined;
        animationDuration?: number | undefined;
        buttonEffectDuration?: number | undefined;
    } & import("../button/button.type").ButtonProps & {
        gradientType?: "sweep" | undefined;
        center?: import("@shopify/react-native-skia").SkPoint | undefined;
    });
    scale: import("react-native-reanimated").SharedValue<number>;
    scaledButton: {
        perspective: number;
        transform: {
            scale: number;
        }[];
    };
    style: import("react-native").StyleProp<import("react-native").ViewStyle>;
    styles: {
        cardStyle: {
            card: {
                overflow: "hidden";
                position: "absolute";
            };
            container: {
                alignItems: "center";
                justifyContent: "center";
            };
        };
        circularProgressBarStyle: {
            circle: {
                container: {
                    height: number;
                    width: number;
                };
            };
            itemsExample: {
                container: {
                    height: number;
                    width: number;
                };
            };
            textContainer: {
                textStyle: {
                    color: string;
                    fontWeight: "bold";
                };
                textView: {
                    position: "absolute";
                };
            };
        };
        floatingButtonStyle: {
            containerStyle: {
                canvasStyle: {
                    marginVertical: number;
                };
            };
            textContainer: {
                textStyle: {
                    color: string;
                    fontWeight: "bold";
                };
                textView: {
                    alignItems: "center";
                    justifyContent: "center";
                    position: "absolute";
                };
            };
        };
        neoPopButtonStyle: {
            btnLabel: {
                labelText: {
                    color: string;
                    fontSize: number;
                    fontWeight: "bold";
                };
                labelView: {
                    alignItems: "center";
                    elevation: number;
                    justifyContent: "center";
                    overflow: "hidden";
                    position: "absolute";
                };
                loader: {
                    backgroundColor: string;
                    height: number;
                    marginHorizontal: number;
                    width: number;
                };
                loaderView: {
                    flexDirection: "row";
                };
                verticalStyle: {
                    marginTop: string;
                };
            };
            containerStyle: {
                canvasStyle: {
                    marginVertical: number;
                };
            };
        };
        ScreenHeight: number;
        ScreenWidth: number;
        starWarButtonStyle: {
            buttonTextView: {
                alignItems: "center";
                justifyContent: "center";
                position: "absolute";
                zIndex: number;
            };
            container: {
                alignItems: "center";
                justifyContent: "center";
            };
        };
    };
    textStyle: import("react-native").TextStyle | undefined;
    title: string;
    titleColor: string;
    titleSize: number;
    transform: import("@shopify/react-native-skia").SkiaValue<{
        rotate: number;
    }[]>;
    transformAnimation: import("@shopify/react-native-skia").SkiaValue<{
        rotate: number;
    }[]> | undefined;
    width: number;
};
//# sourceMappingURL=useStarWarButton.d.ts.map